Skip to main content
POST
/
reports
/
{report_id}
/
executions
/
{report_execution_id}
/
url
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.Reports.Executions.UrlAsync(
    reportId: "4d4c7123-b794-4fad-b1b9-5ab2606e6bbe",
    reportExecutionId: "003bc416-f32a-420c-8eb2-062a386e1fb0"
);

// handle response
package main

import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)

func main() {
ctx := context.Background()

s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)

res, err := s.Reports.Executions.URL(ctx, "4d4c7123-b794-4fad-b1b9-5ab2606e6bbe", "003bc416-f32a-420c-8eb2-062a386e1fb0", nil)
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;

import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.CreateReportExecutionUrlResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();

CreateReportExecutionUrlResponse res = sdk.reports().executions().url()
.reportId("4d4c7123-b794-4fad-b1b9-5ab2606e6bbe")
.reportExecutionId("003bc416-f32a-420c-8eb2-062a386e1fb0")
.call();

if (res.reportExecutionUrl().isPresent()) {
System.out.println(res.reportExecutionUrl().get());
}
}
}
declare(strict_types=1);

require 'vendor/autoload.php';

use Gr4vy;

$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();



$response = $sdk->reports->executions->url(
reportId: '4d4c7123-b794-4fad-b1b9-5ab2606e6bbe',
reportExecutionId: '003bc416-f32a-420c-8eb2-062a386e1fb0',
reportExecutionUrlGenerate: $reportExecutionUrlGenerate

);

if ($response->reportExecutionUrl !== null) {
// handle response
}
from gr4vy import Gr4vy
import os


with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:

res = g_client.reports.executions.url(report_id="4d4c7123-b794-4fad-b1b9-5ab2606e6bbe", report_execution_id="003bc416-f32a-420c-8eb2-062a386e1fb0", expires_in=5)

# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";

const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});

async function run() {
const result = await gr4vy.reports.executions.url("4d4c7123-b794-4fad-b1b9-5ab2606e6bbe", "003bc416-f32a-420c-8eb2-062a386e1fb0");

console.log(result);
}

run();
curl --request POST \
--url https://api.sandbox.{id}.gr4vy.app/reports/{report_id}/executions/{report_execution_id}/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expires_in": 5
}
'
{
  "url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}
{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

report_id
string<uuid>
required

The ID of the report to retrieve a URL for.

Example:

"4d4c7123-b794-4fad-b1b9-5ab2606e6bbe"

report_execution_id
string<uuid>
required

The ID of the execution of a report to retrieve a URL for.

Example:

"003bc416-f32a-420c-8eb2-062a386e1fb0"

Body

application/json
expires_in
integer
default:5

The URL expiration time, in minutes.

Required range: 1 <= x <= 10080
Example:

5

Response

Successful Response

url
string
required

A signed URL to download the report execution file.

Example:

"https://example.com/download/report.csv?signature=abc123"

expires_at
string<date-time>
required

The date and time when the download URL expires.

Example:

"2024-06-01T00:00:00.000Z"